<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/home.css') }}">
    <title>Webhook Data</title>
</head>
<body>
    <h1>Webhook Data:</h1>
    <div>
        <ul>
            {% for data in exchange_data %}
            <li>name: {{ data["name"] }}</li>
            <li>monitoredUrl: <a href="{{ data['monitoredUrl'] }}">{{ data["monitoredUrl"] }}</a></li>
            <li>detected_change: <a href="{{ data['diff_data']}}">{{ data["diff_data"] }}</a></li>
            <li>date: {{ data["date"] }} </li>
            <hr>
            {% endfor %}
        </ul>
    </div>
</body>
</html>
